<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml" version="1.0">
	<xsl:output encoding="utf-8" method="xml" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="DTD/xhtml1-transitional.dtd"/>
	<xsl:template match="/">
		<html>
			<head>
				<title><xsl:value-of select="thread/info/title"/></title>
			</head>
			<body>
				<xsl:apply-templates select="thread/info"/>
				<hr/>
				<xsl:for-each select="thread/post">
					<xsl:sort select="posted"/>
					<xsl:call-template name="ResGene"/>
				</xsl:for-each>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="thread/info">
		<b style="font-size:24px;"><xsl:value-of select="title"/></b><br/>
		<span style="font-size:12px;"><xsl:value-of select="type"/></span><br/>
	</xsl:template>
	<xsl:template match="thread/post" name="ResGene">
		<xsl:text>[</xsl:text><xsl:number/><xsl:text>] </xsl:text>
		<xsl:element name="b">
			<xsl:choose>
				<xsl:when test="trip!=''">
					<xsl:value-of select="concat(name,'◆',trip)"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="name"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:element><xsl:text> ： </xsl:text><xsl:value-of select="posted"/>
		<xsl:element name="br"/>
		<xsl:element name="blockquote">
			<xsl:value-of select="body"/>
			<xsl:variable name="fn"><xsl:value-of select="filename"/></xsl:variable>
			<xsl:variable name="ext"><xsl:value-of select="substring($fn,string-length($fn)-2)"/></xsl:variable>
			<xsl:if test="$fn!=''"><!--ファイル名があるかどうかで、添付ファイルの有無を調べる-->
				<xsl:choose><!--elseが無いみたいなので、otherwiseで代用するためにchooseを利用-->
					<xsl:when test="$ext='png' or $ext='gif' or $ext='jpg'"><!--拡張子(ファイル名の後ろ３文字)が画像ファイルかチェック-->
						<xsl:element name="br"/><xsl:element name="br"/>
						<xsl:element name="a">
							<xsl:attribute name="target">_blank</xsl:attribute>
							<xsl:attribute name="href">
			        			<xsl:value-of select="concat(guid,'/',$fn)"/>
			    			</xsl:attribute>
							<xsl:element name="img">
								<xsl:attribute name="border">0</xsl:attribute>
								<xsl:attribute name="src">
									<!--guid/ファイル名から拡張子を取ったもの.thum.jpg　という相対パスを作成し imgエレメントのsrc属性に入れる-->
				        			<xsl:value-of select="concat(guid,'/',substring($fn,0,string-length($fn)-3),'.thum.jpg')"/>
				    			</xsl:attribute>
							</xsl:element>
						</xsl:element>
					</xsl:when>
					<xsl:otherwise>
						<xsl:element name="br"/><xsl:element name="br"/>
						<xsl:element name="a">
							<xsl:attribute name="href">
			        			<xsl:value-of select="concat(guid,'/',$fn)"/>
			    			</xsl:attribute>
							<xsl:value-of select="$fn"/>
						</xsl:element>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:if>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>